//Koordinaten des linken Joysticks
#define joystick1X_Pin A0      //X
#define joystick1Y_Pin A1      //Y
#define joystick1Button_Pin 2  //Taster
//Koordinaten des rechten Joysticks
#define joystick2X_Pin A2      //X
#define joystick2Y_Pin A3      //Y
#define joystick2Button_Pin 4  //Taster

//rote, 5mm LED am digitalen Pin D3
//angeschlossen
#define led 3

//Felder zum speichern der letzten Werte
//linker Joystick
int lastJ1X = -1;  //X
int lastJ1Y = -1;  //Y
//rechter Joystick
int lastJ2X = -1;  //X
int lastJ2Y = -1;  //Y

//Funktion um die Werte eines Joysticks auszugeben.
String getJoyStickValues() {
  int joyStick1X = analogRead(joystick1X_Pin);
  int joyStick1Y = analogRead(joystick1Y_Pin);
  int joyStick2X = analogRead(joystick2X_Pin);
  int joyStick2Y = analogRead(joystick2Y_Pin);

  String result = "{";
  result = result + "\"links\":";
  result = result + "{\"X\":" + joyStick1X + ",";
  result = result + "\"Y\":" + joyStick1Y + "},";
  result = result + "\"rechts\":";
  result = result + "{\"X\":" + joyStick2X + ",";
  result = result + "\"Y\":" + joyStick2Y + "}";
  result = result + "}";
  return result;
}
